Cannot run Grass tool in QGIS 3.2 Processing Toolbox

2018-07-05 09:34 PM - Fábio Gil Rodrigues

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27172

Description

Hello all,

I just install QGIS 3.2 and I was running v.buffer and I got an error message:

The following layers were not correctly

generated.<ul><li>/AppData/Local/Temp/processing_341ff9f2228640ddbe632f218991c7b4/9152d5bb6bb54ae5b509d43f0e4f28ab/output.shp</li></ul>You can check the 'Log

put.shp</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the

algorithm.

Then I tried to run v.salesman and I got a similar error:

Traceback (most recent call last):

File "C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python/plugins\processing\algs\grass7\Grass7Algorithm.py", line 424, in processAlgorithm

self.convertToHtml(parameters[outName])

File "C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python/plugins\processing\algs\grass7\Grass7Algorithm.py", line 972, in convertToHtml

with open(fileName, 'r', encoding='utf-8') as f:

FileNotFoundError: [Errno 2] No such file or directory: 'report.html'

Execution failed after 5.58 seconds

Loading resulting layers

The following layers were not correctly

generated.<ul><li>C:/Users/fabio/AppData/Local/Temp/processing_341ff9f2228640ddbe632f218991c7b4/e3e67e9c1d7143a597495ea9f417a39f/output.shp</li></ul>You can c

9f417a39f/output.shp</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the

execution of the algorithm.

The SAGA and the QGIS processing tools seem to work nicely, so I don't know where to look.

Thank you very much.

History

#1 - 2018-07-05 09:40 PM - Giovanni Manghi

in the meantime use the stable release of qgis: 2.18

#2 - 2018-07-05 10:59 PM - Nyall Dawson

- Status changed from Open to Feedback
Can you post the full contents of the log window please?

#3 - 2018-07-06 06:49 AM - Fábio Gil Rodrigues

Yes, this is the full content. (and By the way this also happens on my QGIS in my work computer with 3.0, I think)

Processing algorithm…

Algorithm 'v.buffer' starting…

Input parameters:{ '-c' : False, '-s' : False, '-t' : False, 'GRASS_MIN_AREA_PARAMETER' : 0.0001, 'GRASS_OUTPUT_TYPE_PARAMETER' : 0,

'GRASS_REGION_PARAMETER' : None, 'GRASS_SNAP_TOLERANCE_PARAMETER' : -1, 'GRASS_VECTOR_DSCO' : '', 'GRASS_VECTOR_LCO'

: '', 'angle' : 0, 'cats' : '', 'column' : None, 'distance' : None, 'input' : 'C:\Users\fabio\Desktop\data\test\dots.shp', 'minordistance' : None, 'output' :

'C:/Users/fabio/Desktop/data/test/a.geojson', 'scale' : 1, 'tolerance' : 0.01, 'type' : [0,1,4], 'where' : '' }

g.proj -c proj4="+proj=laea +lat_0=52 +lon_0=10 +x_0=4321000 +y_0=3210000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs" 

v.in.ogr min_area=0.0001 snap=-1.0 input="C:\Users\fabio\Desktop\data\test\dots.shp" output="vector_5b3ef47fec19c4" --overwrite -o

g.region n=2932787.8891613893 s=2918981.120960044 e=3248209.8586621974 w=3238242.9922359046

v.buffer input=vector_5b3ef47fec19c4 type="point,line,area" angle=0 scale=1 tolerance=0.01 output=outputd58c1744dc8e40b49f56bbade9db65ba

--overwrite

v.out.ogr -c type="auto" input="outputd58c1744dc8e40b49f56bbade9db65ba" output="C:\Users\fabio\Desktop\data\test\a.geojson" format="GeoJSON"

--overwrite

Cleaning up temporary files...

access: No such file or directory

ERROR: LOCATION <C:\Users\fabio\Desktop\WATERMAP\newLocation> not available

Starting GRASS GIS...

WARNING: Concurrent mapset locking is not supported on Windows

Executing <C:\Users\fabio\AppData\Local\Temp\processing_c30a807a8a3744e2906e6a754a905064\grassdata\grass_batch_job.cmd> ...

C:\PROGRA~1\QGIS3~1.2\bin>chcp 1252 1>NUL

C:\PROGRA~1\QGIS3~1.2\bin>g.proj -c proj4="+proj=laea +lat_0=52 +lon_0=10 +x_0=4321000 +y_0=3210000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0

+units=m +no_defs"

Default region was updated to the new projection, but if you have multiple mapsets `g.region -d` should be run in each to update the region from the default

Projection information updated

C:\PROGRA~1\QGIS3~1.2\bin>v.in.ogr min_area=0.0001 snap=-1.0 input="C:\Users\fabio\Desktop\data\test\dots.shp" output="vector_5b3ef47fec19c4"

--overwrite -o

Over-riding projection check

Check if OGR layer <dots> contains polygons...

0..20..40..60..80..100

Creating attribute table for layer <dots>...
Importing 5 features (OGR layer <dots>)...

0..20..40..60..80..100

Building topology for vector map <vector_5b3ef47fec19c4@PERMANENT>...

Registering primitives...

5 primitives registered

5 vertices registered

Building areas...

0..20..40..60..80..100

0 areas built

0 isles built

Attaching islands...

Attaching centroids...

20..40..60..80..100

Number of nodes: 0

Number of primitives: 5

Number of points: 5

Number of lines: 0

Number of boundaries: 0

Number of centroids: 0

Number of areas: 0

Number of isles: 0

C:\PROGRA~1\QGIS3~1.2\bin>g.region n=2932787.8891613893 s=2918981.120960044 e=3248209.8586621974 w=3238242.9922359046

C:\PROGRA~1\QGIS3~1.2\bin>v.buffer input=vector_5b3ef47fec19c4 type="point,line,area" angle=0 scale=1 tolerance=0.01

output=outputd58c1744dc8e40b49f56bbade9db65ba --overwrite

ERROR: Select a buffer distance/minordistance/angle or column, but not both.

C:\PROGRA~1\QGIS3~1.2\bin>v.out.ogr -c type="auto" input="outputd58c1744dc8e40b49f56bbade9db65ba"

output="C:\Users\fabio\Desktop\data\test\a.geojson" format="GeoJSON" --overwrite
ERROR: Vector map <outputd58c1744dc8e40b49f56bbade9db65ba> not found

C:\PROGRA~1\QGIS3~1.2\bin>exit

Execution of <C:\Users\fabio\AppData\Local\Temp\processing_c30a807a8a3744e2906e6a754a905064\grassdata\grass_batch_job.cmd> finished.

Cleaning up temporary files...

Press any key to continue . . .

Execution completed in 3.07 seconds

Results:{'output': <QgsProcessingOutputLayerDefinition {'sink':C:/Users/fabio/Desktop/data/test/a.geojson, 'createOptions': {'fileEncoding': 'System'}}>}

Loading resulting layers

The following layers were not correctly generated.<ul><li>C:/Users/fabio/Desktop/data/test/a.geojson</li></ul>You can check the 'Log Messages Panel' in

QGIS main window to find more information about the execution of the algorithm.

#4 - 2018-07-10 02:42 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed

If you look through that log, you'll see that GRASS has reported:

ERROR: Select a buffer distance/minordistance/angle or column, but not both.

This is the error. You need to set a distance for the GRASS buffer tool to function correctly. But due to the nature of the grass algorithms in processing,

there's a number of mutually exclusive options here. So make sure you ONLY set the buffer distance parameter.

For what it's worth - I'd recommend using the simpler and more user-friendly QGIS buffer algorithm instead.
